export XDG_CONFIG_HOME=$HOME/.config
export XDG_CACHE_HOME=$HOME/.cache
export XDG_DATA_HOME=$HOME/.local/share

export PATH=$HOME/bin:$HOME/.local/bin:$PATH

# Удалить дубликаты в PATH
typeset -U PATH

export GNUPGHOME=$HOME/.config/gnupg
export SVDIR=$HOME/sv

# Настройка uncrustify
UNCRUSTIFY_CONFIG="${XDG_CONFIG_HOME}/uncrustify/default.cfg"
[ -e "${UNCRUSTIFY_CONFIG}" ] && export UNCRUSTIFY_CONFIG

# Настройка компилятора Intel (если установлен)
[ -e /opt/intel/bin/compilervars.sh ] && source /opt/intel/bin/compilervars.sh intel64 > /dev/null

#[ -e /opt/intel/vtune_profiler/bin64/amplxe-vars.sh ] && source /opt/intel/vtune_profiler/bin64/amplxe-vars.sh > /dev/null
#[ -e /opt/intel/vtune_amplifier/amplxe-vars.sh ] && source /opt/intel/vtune_amplifier/amplxe-vars.sh > /dev/null
#[ -e /opt/intel/inspector/inspxe-vars.sh ] && source /opt/intel/inspector/inspxe-vars.sh > /dev/null
#[ -e /opt/intel/advisor/advixe-vars.sh ] && source /opt/intel/advisor/advixe-vars.sh > /dev/null

