# Менеджер плагинов antibody
source <(antibody init)

# Плагины
antibody bundle zdharma/fast-syntax-highlighting
antibody bundle zsh-users/zsh-autosuggestions
antibody bundle zsh-users/zsh-history-substring-search
antibody bundle zsh-users/zsh-completions
antibody bundle rupa/z
if [[ "$DISPLAY" != '' ]] && command -v xdotool > /dev/null 2>&1 &&  command -v wmctrl > /dev/null 2>&1; then
	antibody bundle marzocchi/zsh-notify
	zstyle ':notify:*' expire-time 6000
	zstyle ':notify:*' command-complete-timeout 20
fi
if command -v peco > /dev/null 2>&1; then
	antibody bundle jimeh/zsh-peco-history
fi

antibody bundle ohmyzsh/ohmyzsh path:plugins/command-not-found
antibody bundle ohmyzsh/ohmyzsh path:plugins/common-aliases
antibody bundle ohmyzsh/ohmyzsh path:plugins/debian
if command -v fzf > /dev/null 2>&1; then
	export DISABLE_FZF_KEY_BINDINGS=true
	antibody bundle ohmyzsh/ohmyzsh path:plugins/fzf
fi
if command -v git > /dev/null 2>&1; then
	antibody bundle ohmyzsh/ohmyzsh path:plugins/git
fi
if command -v psql > /dev/null 2>&1; then
	antibody bundle ohmyzsh/ohmyzsh path:plugins/postgres
fi
antibody bundle ohmyzsh/ohmyzsh path:plugins/sudo
antibody bundle ohmyzsh/ohmyzsh path:plugins/systemd
antibody bundle ohmyzsh/ohmyzsh path:plugins/vim-interaction
antibody bundle ohmyzsh/ohmyzsh path:plugins/web-search

